// package_mine/pages/IdList/index.js
Page({

    /**
     * 页面的初始数据
     */
    data: {
        list: [],
        current: "/identity/index",
    },

    /**
     * 生命周期函数--监听页面加载
     */
    onLoad(options) {
        this.setData({
            current: "/identity/index"
        })
    },

    /* 更新数据 */
    updateList(e) {
        let list = this.data.list.concat(e.detail || [])
        this.setData({ list })
    },
    /* 重置数据 */
    resetList() {
        this.setData({ list: [] })
    },
    /* 跳转申请页面 */
    uploadApprove(e) {
        let detail = e.currentTarget.dataset.detail
        const params = {
            applyIdentityId:  detail.id,
            applyIdentityName: detail.identityName
        }
        wx.navigateTo({
            url: '/package_mine/pages/approveId/index?data=' + JSON.stringify(params),
        })
    },

     /* 跳转至详情页 */
     showDetail(e) {
        let data = e.currentTarget.dataset.item
    //     wx.navigateTo({
    //       url: '/package_A/pages/riverDetail/index?data='+ JSON.stringify(data),
    //     })
    }
})